!     file : ex030401.f   Simpson method
      program ex030401
      parameter( delta=1e-3, Nmax=10 )
      f(x)=5.0*x**4.0
      a = 0.0
      b = 8.0
      h = (b-a)/2.0
      N = 1
      ends = f(a) + f(b)
      two  = 0.0
      x    = a + h
      four = f(x)
      S_old = h/3.0*( ends + 2.0*two + 4.0*four )
100   continue
      h   = 
      N   = 
      two = 
      four= 
      x   = 
      do i = 1, N
        four = 
         x   = 
      enddo
      S_new = 
      ratio = ( S_new - S_old )/S_new
      if( abs(ratio) .lt. delta  .or.  N .gt. Nmax ) then
        
      else
        
        
      endif
 200  continue
      write(*,*)'S_new =', S_new
      stop
      end
      